Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1067182 - csound-javadoc missing files
Summary: csound-javadoc missing files
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: csound
Version: 20
Hardware: All
OS: Linux
unspecified
low
Target Milestone: ---
Assignee: Peter Robinson
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-02-19 22:19 UTC by Jerry James
Modified: 2014-09-23 04:25 UTC (History)
2 users (show)

Fixed In Version: csound-6.03.2-1.fc21
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-09-23 04:25:38 UTC


Attachments (Terms of Use)

Description Jerry James 2014-02-19 22:19:19 UTC
Description of problem:
The csound-javadoc package is missing two files, namely %{_javadocdir}/csound-java/{package-list,stylesheet.css}, and a directory, %{_javadocdir}/resources.  The first omission means that other packages cannot link to the csound javadocs (which is what I am trying to do, for jReality).  The latter omissions make the javadocs look really ugly.  Take a look!

Version-Release number of selected component (if applicable):
csound-javadoc-5.19.01-1.fc20.x86_64

How reproducible:
Always

Steps to Reproduce:
1. For the first, try to specify javadoc -link file://%{_javadocdir}/csound-java
2. For the second and third, view the csound javadocs

Actual results:
When attempting the first, javadoc complains:

javadoc: warning - Error fetching URL: file:///usr/share/javadoc/csound-java/package-list

and linking of javadocs does not occur.  For the latter, my eyes are offended.

Expected results:
Successful linking of javadocs and happy eyeballs.

Additional info:

Comment 1 Fedora Update System 2014-09-17 03:14:20 UTC
csound-6.03.2-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/csound-6.03.2-1.fc21

Comment 2 Fedora Update System 2014-09-18 16:13:13 UTC
Package csound-6.03.2-1.fc21:
* should fix your issue,
* was pushed to the Fedora 21 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing csound-6.03.2-1.fc21'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-10933/csound-6.03.2-1.fc21
then log in and leave karma (feedback).

Comment 3 Fedora Update System 2014-09-23 04:25:38 UTC
csound-6.03.2-1.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.